.timestamp_mapsection_wrapper {

    background-color: aqua;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: row;

}

.timestamp_mapsection_datasectioncontrol{
    background-color: rgb(243, 248, 237);
    width: 280px;
    height: calc(100% - 82px - 56px);
    display: block;
    position: absolute;
    z-index: 999999;
    min-width: 258px;
}

.timestamp_mapsection_datasection{
    background-color:  whitesmoke;
    /*width: calc(100% - 280px);*/
    width: 100%;    
    height: 100%;
    /*height: calc(100% - 40px - 20px - 20px);*/
    padding: 0px;
    position: relative;
}
.ui-widget-content {
    border: 1px solid #dddddd;
    background: whitesmoke;
    color: #333333;
}

.ui-state-default, .ui-widget-content .ui-state-default, .ui-widget-header .ui-state-default, .ui-button, html .ui-button.ui-state-disabled:hover, html .ui-button.ui-state-disabled:active {
    border: 1px solid #c5c5c5;
    background: #ddeaee;
    font-weight: normal;
    color: #454545;
}

.ui-state-active, .ui-widget-content .ui-state-active, .ui-widget-header .ui-state-active, a.ui-button:active, .ui-button:active, .ui-button.ui-state-active:hover {
    border: 1px solid #3d7493;
    background: #3d7493;
    color: white;
    
} 

.ui-accordion .ui-accordion-header:hover{
    background: #b4d2db;
}

.ts_featureinfopopup_accord  > .ui-accordion-content{
    padding: 4px;
    height: auto;
}



.table-prf{
    width: 100%;
    overflow: auto;
    border-color: transparent;
    border: none;
    padding: 1px;
}

.ts_featureinfopopup_prop_name{
    font-size: 14px;
}

.ts_featureinfopopup_prop_value{
    font-size: 14px;
}

.timestamp_mapsection_basefunction_wrapper_function_accordion_wrapper{
    font-family: Calibri, Helvetica, sans-serif;
}

#maparea{

    height: 100%;
    width: 100%;
/*    
    padding: 0px;
    position: absolute;*/

    
}


::-webkit-scrollbar {
  width: 14px;
}

::-webkit-scrollbar-thumb {
  border: 1px solid rgba(0, 0, 0, 0);
  background-clip: padding-box;
  border-radius: 10px;
  background-color: #AAAAAA;
}




.ui-resizable-s {
    height:5px;
    position: absolute;
    cursor: ns-resize;
}

.ui-resizable-e {
    width:9px;
    height: 100%;
    cursor: ew-resize;
}

#map-copyright{
    position: absolute;
    z-index: 99999;
    bottom: 0px;
    right: 0px;
    background-color: #f5f5f594;
    padding: 1px 6px 1px 6px;    
}

/*FeatureInfo-Popup*/

.ol-ts_featureinfopopup {
    position: absolute;
    background-color: white;
    box-shadow: 0 1px 4px rgba(0,0,0,0.2);
    padding: 1px 5px;
    border-radius: 10px;
    border: 1px solid #cccccc;
    bottom: 12px;
    left: -50px;
    min-width: 280px;
    max-width: 400px;
    max-height: 400px;
    min-height:200px;
    overflow-y: auto;
    overflow-x: hidden;
}

/*
.ol-ts_featureinfopopup:after, .ol-ts_featureinfopopup:before {
    top: 100%;
    border: solid transparent;
    content: " ";
    height: 0;
    width: 0;
    position: absolute;
    pointer-events: none;
}

*/
.ol-ts_featureinfopopup:before {
    border-top-color: #cccccc;
    border-width: 11px;
    left: 48px;
    margin-left: -11px;
}

/*
.ol-ts_featureinfopopup:after {
    border-top-color: white;
    border-width: 10px;
    left: 48px;
    margin-left: -10px;
}
*/
.ol-ts_featureinfopopup-closer {
    text-decoration: none;
    position: absolute;
    color: black;
    top: 9px;
    right: 9px;
    font-size: 15px;
    z-index: 99;    
}
.ol-ts_featureinfopopup-closer:after {
    content: "✖";
}

/*******************/

.timestamp_mapsection_datasectioncontrol_function_static_wrapper .timestamp_button_group,
.timestamp_mapsection_datasectioncontrol_function_static_wrapper .timestamp_complexbutton_group{
    margin: 0px 2px 0px 2px;
    display: flex;
    flex-direction: row;
        flex-wrap: nowrap;
/*    justify-content: space-around;*/
    align-items: center;
    align-content: space-around;
    width: fit-content;
} 

.timestamp_mapsection_datasectioncontrol_function_static_wrapper{
    padding: 5px 0px 5px 0px;
}

.timestamp_button_group.timestamp_complexbutton_group.timestamp_map_scale input{
    width: 64px;
    margin-left: 5px;
}

.timestamp_button_group.timestamp_complexbutton_group.timestamp_map_scale{
    border-left: 1px solid black;
    padding-left: 5px;
    color: #333333;
    border-left: 1px solid #3d7493;
    padding-left: 8px;
    margin-left: 8px;
}

.timestamp_button_group.timestamp_complexbutton_group.timestamp_map_scale input{
        height: 20px;
    padding-left: 2px;
    text-align: center;
}


.ol-scale-line ol-unselectable{
    left: 350px;
}

.timestamp_mapsection_datasectioncontrol_function_static_wrapper fieldset{
    margin: 5px 3px 5px 0px !important;
    padding: 0px !important;
    border-color: #3d74937d;
    border-width: 1px;
    border-style: solid;
    border-right-width: 0px;
    border-left-width: 0px;
    background-color: #ddeaee;
}

.timestamp_mapsection_datasectioncontrol_function_static_wrapper fieldset:first-child{
    margin-top: 0px !important;    
}

.timestamp_mapsection_datasectioncontrol_function_static_wrapper fieldset:last-child{
    margin-bottom: 0px !important;    
}

.timestamp_mapsection_datasectioncontrol_function_static_wrapper .timestamp_map_coord_search select{
    height: 26px;
    border-top-width: 1px;
    border-bottom-width: 1px;
    font-size: 14px;
    font-family: Calibri, Helvetica, sans-serif;
    border-color: #6f6f6f;
    border-color: whitesmoke;
    background-image: -webkit-gradient(linear,left top, left bottom, color-stop(0, #6fa4c3), color-stop(1, #3c7393));
    background-image: -o-linear-gradient(bottom, #6fa4c3 0%, #3c7393 100%);
    background-image: -moz-linear-gradient(bottom, #6fa4c3 0%, #3c7393 100%);
    background-image: -webkit-linear-gradient(bottom, #6fa4c3 0%, #3c7393 100%);
    background-image: -ms-linear-gradient(bottom, #6fa4c3 0%, #3c7393 100%);
    background-image: linear-gradient(to bottom, #6fa4c3 0%, #3c7393 100%);
    border-right-width: 0px;
    color: whitesmoke;
}

.timestamp_mapsection_datasectioncontrol_function_static_wrapper .timestamp_map_coord_search .timestamp_button.timestamp_map_open_search_dialog {
    margin-left: 0px;
    border-left-width: 0px;
}    

.timestamp_mapsection_datasectioncontrol_function_static_wrapper .timestamp_map_coord_search select option{
    margin-top: 2px;
    margin-bottom: 2px;
}    

.timestamp_mapsection_datasectioncontrol_function_static_wrapper fieldset div.timestamp_helper_wrapper{
    display: flex;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: flex-start;
    align-content: space-around;
    flex-direction: row;
    margin: 4px 4px 4px 4px;

}

/*OWS-Hintergrudn-Layertree*/
.timestamp_mapsection_datasectioncontrol .timestamp_mapsection_ows_layertree .timestamp_mapsection_treenode{
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;    
/*    align-items: flex-start;*/
    font-size: 14px;
    margin-bottom: 5px;
}

.timestamp_mapsection_datasectioncontrol .timestamp_mapsection_ows_layertree .timestamp_mapsection_treenode.timestamp_mapsection_treenode_level1{
    font-weight: bold;
}

.timestamp_mapsection_datasectioncontrol .timestamp_mapsection_ows_layertree .timestamp_mapsection_treenode.timestamp_mapsection_treenode_level1:before{
    content: '+';
    position: absolute;
    margin-left: -20px;
}

.timestamp_mapsection_datasectioncontrol .timestamp_mapsection_ows_layertree .timestamp_mapsection_treenode.timestamp_mapsection_treenode_level2{
    margin-left: 20px;
}

.timestamp_mapsection_datasectioncontrol .timestamp_mapsection_ows_layertree .timestamp_mapsection_treenode.timestamp_mapsection_treenode_level2:hover{
    background-color: #ddeaee;
}    

.timestamp_mapsection_datasectioncontrol .timestamp_mapsection_ows_layertree .timestamp_mapsection_treenode .timestamp_mapsection_treenode_titlewrapper{
    width: 80%;
}

.timestamp_mapsection_datasectioncontrol .timestamp_mapsection_ows_layertree .timestamp_mapsection_treenode .timestamp_mapsection_treenode_controlwrapper{
    width: 20%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;    
    align-items: flex-start;        
}

.timestamp_mapsection_datasectioncontrol .timestamp_mapsection_ows_layertree .timestamp_mapsection_treenode .timestamp_mapsection_treenode_controlwrapper div.timestamp_mapsection_treenode_control:before{
    height: 16px;
    width: 16px;
} 

.timestamp_mapsection_datasectioncontrol .timestamp_mapsection_ows_layertree .timestamp_mapsection_treenode .timestamp_mapsection_treenode_controlwrapper .timestamp_mapsection_treenode_control:hover{
    cursor: pointer;
}

.timestamp_mapsection_datasectioncontrol .timestamp_mapsection_ows_layertree .timestamp_mapsection_treenode .timestamp_mapsection_treenode_controlwrapper .timestamp_mapsection_treenode_control_editlayer,
.timestamp_mapsection_datasectioncontrol .timestamp_mapsection_ows_layertree .timestamp_mapsection_treenode .timestamp_mapsection_treenode_controlwrapper .timestamp_mapsection_treenode_control_editlayer:hover{
    color: darkgrey;
    cursor: default;
}



/*Job-Layertree*/
.timestamp_mapsection_datasectioncontrol .timestamp_mapsection_jobfeatures .timestamp_mapsection_treenode{
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;    
/*    align-items: flex-start;*/
    font-size: 14px;
    margin-bottom: 5px;
}

.timestamp_mapsection_datasectioncontrol .timestamp_mapsection_jobfeatures .timestamp_mapsection_treenode.timestamp_mapsection_treenode_level1{
/*    font-weight: bold;*/
}

.timestamp_mapsection_datasectioncontrol .timestamp_mapsection_jobfeatures .timestamp_mapsection_treenode.timestamp_mapsection_treenode_level2{
    margin-left: 20px;
}

.timestamp_mapsection_datasectioncontrol .timestamp_mapsection_jobfeatures .timestamp_mapsection_treenode .timestamp_mapsection_treenode_titlewrapper{
    width: 80%;
}

.timestamp_mapsection_datasectioncontrol .timestamp_mapsection_jobfeatures .timestamp_mapsection_treenode .timestamp_mapsection_treenode_controlwrapper{
    width: 20%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;    
    align-items: flex-start;        
}

.timestamp_mapsection_datasectioncontrol .timestamp_mapsection_ows_layertree .timestamp_mapsection_treenode .timestamp_mapsection_treenode_controlwrapper div.timestamp_mapsection_treenode_control:before{
    height: 16px;
    width: 16px;
} 

.timestamp_mapsection_datasectioncontrol .timestamp_mapsection_jobfeatures .timestamp_mapsection_treenode .timestamp_mapsection_treenode_controlwrapper .timestamp_mapsection_treenode_control:hover{
    cursor: pointer;     
}

.timestamp_mapsection_datasectioncontrol .timestamp_mapsection_jobfeatures .timestamp_mapsection_treenode .timestamp_mapsection_treenode_controlwrapper .timestamp_mapsection_treenode_control_editfeaturelayer,
.timestamp_mapsection_datasectioncontrol .timestamp_mapsection_jobfeatures .timestamp_mapsection_treenode .timestamp_mapsection_treenode_controlwrapper .timestamp_mapsection_treenode_control_editfeaturelayer:hover{
    color: darkgrey;
    cursor: default;    
}

/**********/

.timestamp_mapsection_wrapper .timestamp_mapsection_datasectioncontrol .timestamp_mapsection_legend{
    
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;    
}

.timestamp_mapsection_wrapper .timestamp_mapsection_datasectioncontrol .timestamp_mapsection_legend .ts_legend_item_zf_wrapper{
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: flex-start;    
    
    margin-top: 2px;
    margin-bottom: 2px;
}

.timestamp_mapsection_wrapper .timestamp_mapsection_datasectioncontrol .timestamp_mapsection_legend .ts_legend_item_zf_wrapper .ts_legend_item_zf_icon{
    
    width: 16px;
    height: 16px;
    display: block;
    position: relative;
    margin-right: 4px;
}

.timestamp_mapsection_wrapper .timestamp_mapsection_datasectioncontrol .timestamp_mapsection_legend .ts_legend_item_zf_wrapper .ts_legend_item_zf_title{
    
    font-size: 14px;
    
}

.timestamp_mapsection_wrapper .timestamp_mapsection_datasectioncontrol .timestamp_mapsection_legend .ts_legend_block_title{
    
    font-size: 16px;
    font-weight: 700;
    margin-bottom: 6px;
}
/**********/


.timestamp_mapsection_datasectioncontrol .split-bar {
    height: 100%;
    width: 4px;
    background-color: #3d7493;
    position: absolute;
    right: 0;
    top: 0;
    z-index: 9000;
    margin-right: -1px;
    -moz-box-shadow: 1px 0px 2px 1px #ccc;
    -webkit-box-shadow: 1px 0px 2px 1px #ccc;
    box-shadow: 1px 0px 2px 1px #ccc;
}

.timestamp_mapsection_datasectioncontrol .split-bar:hover {
    cursor: col-resize;
}    

.timestamp_mapsection_datasection #mouse-position{
    background-color: purple;
    position: absolute;
    width: 20%;
    bottom: 0;
    right: 0;
}

.ol-overviewmap{
  right: .5em !important;
  bottom: .5em;  
}